# empty-debuginfo-package
%define debug_package %{nil}

%define git_ver 20200626
%define rel	1

%define ver_fpc 3.2.0

Summary: Widget set to develop cross-platform GUI software using fpc
Name: fpgui
Version: 1.5
Release: %mkrel -c %{git_ver} %{rel}
License: LGPLv2 with static linking exception
Group: Development/Tools
Url: http://fpgui.sourceforge.net
Source0: fpGUI-%{git_ver}.tar.xz
Patch0: fpgui-build.patch
# https://github.com/graemeg/fpGUI/issues/49
Patch1: %{name}-1.5-mga-hints-workaround.patch
Requires: fpc = %{ver_fpc}
Requires: pkgconfig(x11)
Requires: pkgconfig(fontconfig)
Requires: pkgconfig(xft)
BuildRequires: fpc = %{ver_fpc}
BuildRequires: gettext

%description
This is a widget set to quickly develop cross-platform GUI software using
the Free Pascal Compiler. It doesn't rely on large third party libraries -
which makes fpGUI applications easy to deploy.

%prep
%setup -qn fpGUI-%{git_ver}
%autopatch -p1

cp -rf ./prototypes/mdi/*.pas ./src/corelib/
sed -i -e "s|Agg2D;|fpg_mdi,Agg2D;|g" ./src/corelib/x11/fpgui_toolkit.pas

%build
pushd src
./build.sh
popd
# build languages for uidesigner's localization
pushd languages
for lang in `ls |grep "%{name}.*..po"|cut -d "." --fields=2|grep -v en`
do
msgfmt %{name}.$lang.po -o %{name}.$lang.mo
done
popd

%install
_unittgt=`fpc -iSP`-`fpc -iSO`
pushd lib/$_unittgt
mkdir -p %{buildroot}%{_libdir}/fpc/%{ver_fpc}/units/$_unittgt/%{name}
cp -f ./* %{buildroot}%{_libdir}/fpc/%{ver_fpc}/units/$_unittgt/%{name}/
popd
# install languages for uidesigner's localization
pushd languages
for lang in `ls |grep "%{name}.*..po"|cut -d "." --fields=2|grep -v en`
do
mkdir -p %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
cp -f %{name}.$lang.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/%{name}.mo
done
popd
# install po files for localization other applications
mkdir -p %{buildroot}%{_datadir}/%{name}/languages
cp -f languages/*.po %{buildroot}%{_datadir}/%{name}/languages/

%find_lang %{name}

%files -f %{name}.lang
%doc *.txt languages/*.txt
%{_libdir}/fpc/*/units/*/%{name}
%{_datadir}/%{name}


%changelog
* Fri Jul 24 2020 wally <wally> 1.5-0.20200626.1.mga8
+ Revision: 1608696
- update to latest git snapshot

* Fri Feb 14 2020 umeabot <umeabot> 1.5-0.git20181122.2.mga8
+ Revision: 1520509
- Mageia 8 Mass Rebuild

* Mon Nov 26 2018 alexl <alexl> 1.5-0.git20181122.1.mga7
+ Revision: 1335165
- the latest git snapshot
- disable html build (always broken)
- workaround to show hints
- install languages for uidesigner's localization
- install po files for localization other applications

* Wed Nov 21 2018 alexl <alexl> 1.4.1-4.mga7
+ Revision: 1332557
- do not obsolete uidesigner
- fix x86_64 installation

* Sun Oct 21 2018 wally <wally> 1.4.1-3.mga7
+ Revision: 1323425
- obsolete uidesigner

* Sun Sep 23 2018 umeabot <umeabot> 1.4.1-2.mga7
+ Revision: 1297752
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 kekepower <kekepower> 1.4.1-1.mga7
+ Revision: 1212713
- Update to version 1.4.1

* Fri Aug 18 2017 sander85 <sander85> 1.2-3.mga7
+ Revision: 1141487
- Rebuild for new fpc

* Mon Feb 08 2016 umeabot <umeabot> 1.2-2.mga6
+ Revision: 950469
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 alexl <alexl> 1.2-1.mga5
+ Revision: 791864
- used fpdoc instead of build_html.sh
- fixed building html (build-html.patch and using VERSION_FILE.inc)
- version 1.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 746850
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 679317
- Mageia 5 Mass Rebuild

* Sun May 25 2014 alexl <alexl> 1.0-2.mga5
+ Revision: 626533
- rebuild with fpc-2.6.4

* Sun Apr 13 2014 alexl <alexl> 1.0-1.mga5
+ Revision: 613791
- imported package fpgui

